Name: simple-shell-main
Version: 0.0
Release: 1%{?dist}
Summary: Simple Shell
License: MIT

BuildRequires: meson mutter-devel systemd-devel systemd-libs gcc
Requires: mutter systemd kdb
Requires(pre): shadow-utils
Conflicts: gdm
Conflicts: gnome-session
Source: https://gitlab.cee.redhat.com/belmouss/%{name}/-/archive/0.0/%{name}.tar.bz2

%description
A custom Mutter based shell that starts using systemd

%prep
%setup -q -n %{name}

%pre
getent group ivi >/dev/null || groupadd -r ivi
getent passwd ivi >/dev/null || \
    useradd -m -r -g ivi -c "Default session for ivi" ivi
passwd -d ivi
exit 0

%build
%meson
%meson_build

%install
%meson_install

%files
%{_sysconfdir}/systemd/user/simple-shell.service
%{_sysconfdir}/systemd/user/ivi-session.target
%{_sysconfdir}/systemd/user/simple-shell.socket
%{_sysconfdir}/systemd/system/ivi-session.service
%{_bindir}/simple-shell
/usr/share/simple-shell/config.ini
